Bug 142116 - Keypad arrows doesn't work in OpenMotif programs
Keypad arrows doesn't work in OpenMotif programs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 09:19 EST by Dmitry Bolkhovityanov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 08:43:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Bolkhovityanov 2004-12-07 09:19:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
In FC3 the keypad keys take into account the NumLock status, so that
when NumLock is off, they produce cursor movement keys (4=KP_Left, etc.).

But Motif programs simply ignore these keystrokes.

I can suppose that this happens because all actions in Motif widgets
are bound to osf-keys, while none of KP_-keysyms are listed in
osf-keys definitions (but that's only a hypothesis, I'm not very
familiar with how xmbind works).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set the keymap in which keypad keys produce cursor movement keys
(it is so in default en_US install).
2. Run e.g. nedit.
3. For example press F10 to go to menu, and try to navigate there with
keypad cursor keys.
    

Actual Results:  Nothing happens.

Expected Results:  The cursor should move according to keys pressed.

Additional info:

This behaviour is there probably since ancient versions of Motif, so
openmotif21 may also be affected, but I haven't a chance to test it yet.
Comment 1 Thomas Woerner 2004-12-20 09:07:05 EST
There is no default behaviour for the numpad keys. Motif applications
usually define translation tables for this. It would not be good to
add a default behaviour to motif, because this can modify existing
applications.

Please file a bug against the application, which should define the
translation table for these keys.

Closing as not a bug.
Comment 2 Dmitry Bolkhovityanov 2004-12-21 01:00:19 EST
Sorry, but this isn't application-specific bug, it *is* a Motif bug. 
Most keyboards have, for example, an <Enter> key on a keypad, and it
works exactly as "main" <Enter> key, right?  Keypad arrows are
*exactly* in the same league as KP_Enter, so, when NumLock is off,
they MUST do exactly the same as regular arrows do.

In all non-Motif applications keypad keys DO work as arrows, this is a
standard practice (not to mention windoze, where situation is the same).

(Of course, if some application wishes to make nonstandard use of
keypad, it may have specific translation table entries, but by default
keypad arrows must work as regular arrows do.)
Comment 3 Matthew Miller 2006-07-10 17:56:34 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Dmitry Bolkhovityanov 2006-08-10 07:10:59 EDT
Yes, the bug is still present in FC5 in intact form.
Just run any Motif app and try to use keypad arrow keys with NumLock off. These
keys are simply ignored.
Comment 5 Matthew Miller 2006-08-10 07:23:32 EDT
Moving to FC5 as per comment #4.
Comment 6 Thomas Woerner 2007-07-24 08:43:26 EDT
I am sorry, but support for openmotif was dropped for newer Fedora releases.
Please try to reproduce your problem with lesstif and open a bug for lesstif if
the problem still exists.

Note You need to log in before you can comment on or make changes to this bug.